Bug 145611 - @INC is missing .../site_perl/5.8.5/{i386-linux-thread-multi}
Summary: @INC is missing .../site_perl/5.8.5/{i386-linux-thread-multi}
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-20 02:10 UTC by Leif Hedstrom
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 03:08:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leif Hedstrom 2005-01-20 02:10:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
@INC includes .../site_perl/5.8.{1,2,3,4,6} but not 5.8.5. This breaks
certain external RPMs (particularly FreshRPMs for Fedora Core v3).
It'd be really cool if the missing path could be added.

Version-Release number of selected component (if applicable):
perl-5.8.6-1

How reproducible:
Always

Steps to Reproduce:
1. Install some Perl library that goes into .../site_perl/5.8.5/ 
2. Try to run an app that uses that library
    

Actual Results:  Fails to load any library installed in
.../site_perl/5.8.5/

Expected Results:  Should be able to load such libraries without
setting the PERLLIB environment variable.

Additional info:

Comment 1 Chip Turner 2005-01-21 03:08:47 UTC
should be fixed in 5.8.6-2, which should now be in rawhide


Note You need to log in before you can comment on or make changes to this bug.